# CMAKE generated file: DO NOT EDIT!
# Generated by "MinGW Makefiles" Generator, CMake Version 3.28

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

SHELL = cmd.exe

# The CMake executable.
CMAKE_COMMAND = "C:\Program Files\CMake\bin\cmake.exe"

# The command to remove a file.
RM = "C:\Program Files\CMake\bin\cmake.exe" -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = C:\Users\naifa\Documents\Projects\C++\GraphicsTest

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = C:\Users\naifa\Documents\Projects\C++\GraphicsTest\build

# Include any dependencies generated for this target.
include CMakeFiles/GraphicsTest.dir/depend.make
# Include any dependencies generated by the compiler for this target.
include CMakeFiles/GraphicsTest.dir/compiler_depend.make

# Include the progress variables for this target.
include CMakeFiles/GraphicsTest.dir/progress.make

# Include the compile flags for this target's objects.
include CMakeFiles/GraphicsTest.dir/flags.make

CMakeFiles/GraphicsTest.dir/main.cpp.obj: CMakeFiles/GraphicsTest.dir/flags.make
CMakeFiles/GraphicsTest.dir/main.cpp.obj: CMakeFiles/GraphicsTest.dir/includes_CXX.rsp
CMakeFiles/GraphicsTest.dir/main.cpp.obj: C:/Users/naifa/Documents/Projects/C++/GraphicsTest/main.cpp
CMakeFiles/GraphicsTest.dir/main.cpp.obj: CMakeFiles/GraphicsTest.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=C:\Users\naifa\Documents\Projects\C++\GraphicsTest\build\CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Building CXX object CMakeFiles/GraphicsTest.dir/main.cpp.obj"
	C:\msys64\ucrt64\bin\g++.exe $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/GraphicsTest.dir/main.cpp.obj -MF CMakeFiles\GraphicsTest.dir\main.cpp.obj.d -o CMakeFiles\GraphicsTest.dir\main.cpp.obj -c C:\Users\naifa\Documents\Projects\C++\GraphicsTest\main.cpp

CMakeFiles/GraphicsTest.dir/main.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/GraphicsTest.dir/main.cpp.i"
	C:\msys64\ucrt64\bin\g++.exe $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E C:\Users\naifa\Documents\Projects\C++\GraphicsTest\main.cpp > CMakeFiles\GraphicsTest.dir\main.cpp.i

CMakeFiles/GraphicsTest.dir/main.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/GraphicsTest.dir/main.cpp.s"
	C:\msys64\ucrt64\bin\g++.exe $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S C:\Users\naifa\Documents\Projects\C++\GraphicsTest\main.cpp -o CMakeFiles\GraphicsTest.dir\main.cpp.s

CMakeFiles/GraphicsTest.dir/funcs.cpp.obj: CMakeFiles/GraphicsTest.dir/flags.make
CMakeFiles/GraphicsTest.dir/funcs.cpp.obj: CMakeFiles/GraphicsTest.dir/includes_CXX.rsp
CMakeFiles/GraphicsTest.dir/funcs.cpp.obj: C:/Users/naifa/Documents/Projects/C++/GraphicsTest/funcs.cpp
CMakeFiles/GraphicsTest.dir/funcs.cpp.obj: CMakeFiles/GraphicsTest.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=C:\Users\naifa\Documents\Projects\C++\GraphicsTest\build\CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "Building CXX object CMakeFiles/GraphicsTest.dir/funcs.cpp.obj"
	C:\msys64\ucrt64\bin\g++.exe $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/GraphicsTest.dir/funcs.cpp.obj -MF CMakeFiles\GraphicsTest.dir\funcs.cpp.obj.d -o CMakeFiles\GraphicsTest.dir\funcs.cpp.obj -c C:\Users\naifa\Documents\Projects\C++\GraphicsTest\funcs.cpp

CMakeFiles/GraphicsTest.dir/funcs.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/GraphicsTest.dir/funcs.cpp.i"
	C:\msys64\ucrt64\bin\g++.exe $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E C:\Users\naifa\Documents\Projects\C++\GraphicsTest\funcs.cpp > CMakeFiles\GraphicsTest.dir\funcs.cpp.i

CMakeFiles/GraphicsTest.dir/funcs.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/GraphicsTest.dir/funcs.cpp.s"
	C:\msys64\ucrt64\bin\g++.exe $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S C:\Users\naifa\Documents\Projects\C++\GraphicsTest\funcs.cpp -o CMakeFiles\GraphicsTest.dir\funcs.cpp.s

CMakeFiles/GraphicsTest.dir/shader.cpp.obj: CMakeFiles/GraphicsTest.dir/flags.make
CMakeFiles/GraphicsTest.dir/shader.cpp.obj: CMakeFiles/GraphicsTest.dir/includes_CXX.rsp
CMakeFiles/GraphicsTest.dir/shader.cpp.obj: C:/Users/naifa/Documents/Projects/C++/GraphicsTest/shader.cpp
CMakeFiles/GraphicsTest.dir/shader.cpp.obj: CMakeFiles/GraphicsTest.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=C:\Users\naifa\Documents\Projects\C++\GraphicsTest\build\CMakeFiles --progress-num=$(CMAKE_PROGRESS_3) "Building CXX object CMakeFiles/GraphicsTest.dir/shader.cpp.obj"
	C:\msys64\ucrt64\bin\g++.exe $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/GraphicsTest.dir/shader.cpp.obj -MF CMakeFiles\GraphicsTest.dir\shader.cpp.obj.d -o CMakeFiles\GraphicsTest.dir\shader.cpp.obj -c C:\Users\naifa\Documents\Projects\C++\GraphicsTest\shader.cpp

CMakeFiles/GraphicsTest.dir/shader.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/GraphicsTest.dir/shader.cpp.i"
	C:\msys64\ucrt64\bin\g++.exe $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E C:\Users\naifa\Documents\Projects\C++\GraphicsTest\shader.cpp > CMakeFiles\GraphicsTest.dir\shader.cpp.i

CMakeFiles/GraphicsTest.dir/shader.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/GraphicsTest.dir/shader.cpp.s"
	C:\msys64\ucrt64\bin\g++.exe $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S C:\Users\naifa\Documents\Projects\C++\GraphicsTest\shader.cpp -o CMakeFiles\GraphicsTest.dir\shader.cpp.s

CMakeFiles/GraphicsTest.dir/C_/Users/naifa/Documents/Projects/C++/libs/glad/src/glad.c.obj: CMakeFiles/GraphicsTest.dir/flags.make
CMakeFiles/GraphicsTest.dir/C_/Users/naifa/Documents/Projects/C++/libs/glad/src/glad.c.obj: CMakeFiles/GraphicsTest.dir/includes_C.rsp
CMakeFiles/GraphicsTest.dir/C_/Users/naifa/Documents/Projects/C++/libs/glad/src/glad.c.obj: C:/Users/naifa/Documents/Projects/C++/libs/glad/src/glad.c
CMakeFiles/GraphicsTest.dir/C_/Users/naifa/Documents/Projects/C++/libs/glad/src/glad.c.obj: CMakeFiles/GraphicsTest.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=C:\Users\naifa\Documents\Projects\C++\GraphicsTest\build\CMakeFiles --progress-num=$(CMAKE_PROGRESS_4) "Building C object CMakeFiles/GraphicsTest.dir/C_/Users/naifa/Documents/Projects/C++/libs/glad/src/glad.c.obj"
	C:\msys64\ucrt64\bin\gcc.exe $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -MD -MT CMakeFiles/GraphicsTest.dir/C_/Users/naifa/Documents/Projects/C++/libs/glad/src/glad.c.obj -MF CMakeFiles\GraphicsTest.dir\C_\Users\naifa\Documents\Projects\C++\libs\glad\src\glad.c.obj.d -o CMakeFiles\GraphicsTest.dir\C_\Users\naifa\Documents\Projects\C++\libs\glad\src\glad.c.obj -c C:\Users\naifa\Documents\Projects\C++\libs\glad\src\glad.c

CMakeFiles/GraphicsTest.dir/C_/Users/naifa/Documents/Projects/C++/libs/glad/src/glad.c.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing C source to CMakeFiles/GraphicsTest.dir/C_/Users/naifa/Documents/Projects/C++/libs/glad/src/glad.c.i"
	C:\msys64\ucrt64\bin\gcc.exe $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -E C:\Users\naifa\Documents\Projects\C++\libs\glad\src\glad.c > CMakeFiles\GraphicsTest.dir\C_\Users\naifa\Documents\Projects\C++\libs\glad\src\glad.c.i

CMakeFiles/GraphicsTest.dir/C_/Users/naifa/Documents/Projects/C++/libs/glad/src/glad.c.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling C source to assembly CMakeFiles/GraphicsTest.dir/C_/Users/naifa/Documents/Projects/C++/libs/glad/src/glad.c.s"
	C:\msys64\ucrt64\bin\gcc.exe $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -S C:\Users\naifa\Documents\Projects\C++\libs\glad\src\glad.c -o CMakeFiles\GraphicsTest.dir\C_\Users\naifa\Documents\Projects\C++\libs\glad\src\glad.c.s

# Object files for target GraphicsTest
GraphicsTest_OBJECTS = \
"CMakeFiles/GraphicsTest.dir/main.cpp.obj" \
"CMakeFiles/GraphicsTest.dir/funcs.cpp.obj" \
"CMakeFiles/GraphicsTest.dir/shader.cpp.obj" \
"CMakeFiles/GraphicsTest.dir/C_/Users/naifa/Documents/Projects/C++/libs/glad/src/glad.c.obj"

# External object files for target GraphicsTest
GraphicsTest_EXTERNAL_OBJECTS =

GraphicsTest.exe: CMakeFiles/GraphicsTest.dir/main.cpp.obj
GraphicsTest.exe: CMakeFiles/GraphicsTest.dir/funcs.cpp.obj
GraphicsTest.exe: CMakeFiles/GraphicsTest.dir/shader.cpp.obj
GraphicsTest.exe: CMakeFiles/GraphicsTest.dir/C_/Users/naifa/Documents/Projects/C++/libs/glad/src/glad.c.obj
GraphicsTest.exe: CMakeFiles/GraphicsTest.dir/build.make
GraphicsTest.exe: CMakeFiles/GraphicsTest.dir/linkLibs.rsp
GraphicsTest.exe: CMakeFiles/GraphicsTest.dir/objects1.rsp
GraphicsTest.exe: CMakeFiles/GraphicsTest.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --bold --progress-dir=C:\Users\naifa\Documents\Projects\C++\GraphicsTest\build\CMakeFiles --progress-num=$(CMAKE_PROGRESS_5) "Linking CXX executable GraphicsTest.exe"
	$(CMAKE_COMMAND) -E cmake_link_script CMakeFiles\GraphicsTest.dir\link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
CMakeFiles/GraphicsTest.dir/build: GraphicsTest.exe
.PHONY : CMakeFiles/GraphicsTest.dir/build

CMakeFiles/GraphicsTest.dir/clean:
	$(CMAKE_COMMAND) -P CMakeFiles\GraphicsTest.dir\cmake_clean.cmake
.PHONY : CMakeFiles/GraphicsTest.dir/clean

CMakeFiles/GraphicsTest.dir/depend:
	$(CMAKE_COMMAND) -E cmake_depends "MinGW Makefiles" C:\Users\naifa\Documents\Projects\C++\GraphicsTest C:\Users\naifa\Documents\Projects\C++\GraphicsTest C:\Users\naifa\Documents\Projects\C++\GraphicsTest\build C:\Users\naifa\Documents\Projects\C++\GraphicsTest\build C:\Users\naifa\Documents\Projects\C++\GraphicsTest\build\CMakeFiles\GraphicsTest.dir\DependInfo.cmake "--color=$(COLOR)"
.PHONY : CMakeFiles/GraphicsTest.dir/depend

